Skip to content
Proud to collaborate with Microsoft for Startups

mercadopago.orders.update-order-transaction ​

Updates the payment method of a pending transaction on a manual-mode order.

Update a transaction on an order

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-mercadopago
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
order_idstringYes——
transaction_idstringYes——
x_idempotency_keystringYes——
payment_methodjsonNo—Payment method for the transaction. Use GET /v1/payment_methods to list available methods for your site.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
order_idstringYes——
transaction_idstringYes——
x_idempotency_keystringYes——
payment_methodjsonNo—Payment method for the transaction. Use GET /v1/payment_methods to list available methods for your site.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v1/orders/{order_id}/transactions/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v1/orders/{order_id}/transactions/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "mercadopago.orders.update-order-transaction",
  "initial_data": {
    "base_url": "value",
    "order_id": "value",
    "transaction_id": "value",
    "x_idempotency_key": "value"
  }
}